Subject: Re: [PATCH net] bareudp: Fix device stats updates.

From: Guillaume Nault <[email-masked]>
Date: Fri, 6 Sep 2024 12:42:33 +0200

On Wed, Sep 04, 2024 at 02:48:39PM -0700, Jakub Kicinski wrote:
> On Wed, 4 Sep 2024 19:54:40 +0200 Guillaume Nault wrote:
> > In this context, I feel that dstats is now just a mix of tstats and
> > core_stats.
> 
> I don't know the full background but:
> 
>  *	@core_stats:	core networking counters,
>  *			do not use this in drivers

Hum, I didn't realise that :/.

I'd really like to understand why drivers shouldn't use core_stats.

I mean, what makes driver and core networking counters so different
that they need to be handled in two different ways (but finally merged
together when exporting stats to user space)?

Does that prevent any contention on the counters or optimise cache line
access? I can't see how, so I'm probably missing something important
here.

> bareudp is a driver.
> 
> > After -net will merge into net-next, I'll can convert bareudp to either
> > dstats or tstats, depending on the outcome of this conversation.
> 
> Sure.
>